$regfile = "attiny2313.dat"
$crystal = 4000000
$baud = 19200
$hwstack = 32
$swstack = 10
$framesize = 40

$lib "mcsbyte.lbx"

Dim A As Byte
Dim C As Byte

Config Portd.5 = Input

Config Portd.4 = Output
Config Portb.2 = Output
Config Portb.3 = Output
Config Portb.4 = Output
Config Portb.5 = Output

Set Portd.4
Wait 1
Reset Portd.4

Reset Portb.2
Reset Portb.3
Reset Portb.4
Reset Portb.5

Config Rc5 = Pind.5

Enable Interrupts



Ll:

A = 255
C = 0

Getrc5(a , C)

If A = 0 Then

   C = C And &B01111111

   Select Case C
      Case 12
         Set Portb.2
         Set Portd.4
         Waitms 30
         Reset Portd.4
      Case 38
         Reset Portb.2
         Set Portd.4
         Waitms 30
         Reset Portd.4
      Case 59
         Set Portb.3
         Set Portd.4
         Waitms 30
         Reset Portd.4
      Case 13
         Reset Portb.3
         Set Portd.4
         Waitms 30
         Reset Portd.4
      Case 32
         Set Portb.4
         Set Portd.4
         Waitms 30
         Reset Portd.4
      Case 33
         Reset Portb.4
         Set Portd.4
         Waitms 30
         Reset Portd.4
      Case 16
         Set Portb.5
         Set Portd.4
         Waitms 30
         Reset Portd.4
      Case 17
         Reset Portb.5
         Set Portd.4
         Waitms 30
         Reset Portd.4
      Case Else
         Set Portd.4
         Waitms 30
         Reset Portd.4
   End Select

End If

Goto Ll

Reset Portd.4
Reset Portb.2
Reset Portb.3
Reset Portb.4
Reset Portb.5
Waitms 200
Powerdown

End


